
QGIS Application - Bug report #9010

OTF CRS transformation - 4326 to 27700 fails zoomed out

2013-11-05 06:20 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 17665

Description

1) Start QGIS - Add a layer in EPSG:27700 (British National Grid). 27700 is my qgis default projection.

2) Ensure "enable OTF CRS transformatioN" is checked.

3) Add this layer - http://geocommons.com/overlays/5603

4) Zoom out.

At a certain point, you end up with something like the attached. Worse, QGIS takes about 5-10 seconds to calculate this - using an entire

core of my CPU to do so.

ArcGIS output for the same is also attached.

History

#1 - 2014-06-21 12:30 PM - Jürgen Fischer

- Category set to Projection Support

#2 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-03-01 12:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#4 - 2018-08-16 11:06 AM - Giovanni Manghi

- Resolution set to not reproducable

- Description updated

- Status changed from Feedback to Closed

Closing for lack of feedback.
